Subject: Re: [PATCH 0/9] powerpc/pci: clean up direct access to sysdata

From: Michael Ellerman <[email-masked]>
Date: Fri, 01 May 2009 00:50:47 +1000

On Thu, 2009-04-30 at 09:18 -0500, Kumar Gala wrote:
> On Apr 30, 2009, at 8:49 AM, Michael Ellerman wrote:
> 
> > On Thu, 2009-04-30 at 08:09 -0500, Kumar Gala wrote:
> >> We shouldn't be accessing sysdata directly.  In the future we might  
> >> have
> >> sysdata be a device_node on ppc32 to match ppc64.  Direct access  
> >> would make that
> >> a bit difficult.
> >>
> >> If someone can look at the iseries code I would appreciate that:
> >>
> >> arch/powerpc/platforms/iseries/pci.c:            
> >> iomm_table[current_iomm_table_entry] = dev->sysdata;
> >> arch/powerpc/platforms/iseries/pci.c:                    
> >> iseries_ds_addr(dev->sysdata) | (bar_num << 24);
> >> arch/powerpc/platforms/iseries/pci.c:   pdev->sysdata = node;
> >
> > It looks like it's basically doing the same logic as
> > pci_device_to_OF_node(), and fetch_dev_dn(), but there's probably some
> > reason why it's not using those.
> >
> > Given how much new iseries hardware there is, I think we'd probably
> > rather leave the code as is. It's a device node anyway, so it doesn't
> > block your plans RE ppc32.
> >
> > cheers
> 
> I was already thinking along those lines, but figured I see if anyone  
> is really "maintaining" iseries code :)

Not that much, it would be sfr if anyone, but I think he's a bit busy :)

cheers